Skip to main content
GET
/
v1beta
/
findall
/
runs
/
{findall_id}
/
schema
Python
from parallel import Parallel

client = Parallel(api_key="API Key")

schema = client.beta.findall.schema(
    findall_id="findall_56ccc4d188fb41a0803a935cf485c774",
)

print(f"FindAll run {schema.findall_id} schema: {schema.model_dump_json(indent=2)}")
{
  "objective": "<string>",
  "entity_type": "<string>",
  "match_conditions": [
    {
      "name": "<string>",
      "description": "<string>"
    }
  ],
  "enrichments": [
    {
      "output_schema": {
        "json_schema": {},
        "type": "json"
      },
      "processor": "core",
      "mcp_servers": [
        {
          "url": "<string>",
          "name": "<string>",
          "type": "url",
          "headers": {},
          "allowed_tools": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "generator": "core",
  "match_limit": 123
}

Authorizations

x-api-key
string
header
required

Headers

parallel-beta
string | null

Path Parameters

findall_id
string
required

Response

Successful Response

Response model for FindAll ingest.

objective
string
required

Natural language objective of the FindAll run.

entity_type
string
required

Type of the entity for the FindAll run.

match_conditions
MatchCondition · object[]
required

List of match conditions for the FindAll run.

enrichments
FindAllEnrichInput · object[] | null

List of enrichment inputs for the FindAll run.

generator
enum<string>
default:core

The generator of the FindAll run.

Available options:
base,
core,
pro,
preview
match_limit
integer | null

Max number of candidates to evaluate